/*
 * Copyright (c) 2005 Ichiro Satoh
 * All Rights Reserved.
 * written by Ichiro Satoh
 *
 * This program was developed by Ichiro Satoh at National Institute 
 * of Informatics as a part of a mobile object system, titled 
 * "AgentSpace".  All the programs of the system is developed by 
 * Ichiro Satoh and all rights are reserved by Ichiro Satoh. 
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation is hereby granted, provided that both the
 * copyright notice and this permission notice appear in all copies of
 * the software, derivative works or modified versions, and any
 * portions thereof, and that both notices appear in supporting 
 * documentation.
 */

/**
 * @author Ichiro Satoh
 * Created on 2005/05/6
 */

package agentspace.event;

import java.io.Serializable;
import java.util.EventListener;

public interface AgentListener extends EventListener, Serializable {
	public void create(AgentEvent e);
	public void destroy(AgentEvent e);
	public void suspend(AgentEvent e);
	public void resume(AgentEvent e);
	public void arrive(AgentEvent e);
	public void leave(AgentEvent e);
}
