/*
 * Copyright (c) 2005 Ichiro Satoh
 * All Rights Reserved.
 * written by Ichiro Satoh
 *
 * This program was developed by Ichiro Satoh at National Institute 
 * of Informatics as a part of a mobile object system, titled 
 * "AgentSpace".  All the programs of the system is developed by 
 * Ichiro Satoh and all rights are reserved by Ichiro Satoh. 
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation is hereby granted, provided that both the
 * copyright notice and this permission notice appear in all copies of
 * the software, derivative works or modified versions, and any
 * portions thereof, and that both notices appear in supporting 
 * documentation.
 */

/**
 * @author Ichiro Satoh
 * Created on 2005/05/14
 */

package agentspace.monitor.table;

import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

public class AgentTableToolBar extends JToolBar {
	public JButton loadButton = null;
	public JButton storeButton = null;
	public JButton destroyButton = null;
	public JButton copyButton = null;
	public JButton moveButton = null;
	public JButton infoButton = null;
	public JButton haltButton = null;
	
	public AgentTableToolBar(ActionListener control) {
		super();

		loadButton = new JButton(new ImageIcon(	"agentspace/monitor/images/open.gif"));
		loadButton.setToolTipText("Load an agent");
		loadButton.setActionCommand("Load");
		loadButton.addActionListener(control);
		loadButton.setRequestFocusEnabled(true);
		loadButton.setEnabled(true);
		add(loadButton);

		storeButton = new JButton(new ImageIcon("agentspace/monitor/images/save.gif"));
		storeButton.setToolTipText("Save the selected agent to a file");
		storeButton.setActionCommand("Store");
		storeButton.addActionListener(control);
		storeButton.setRequestFocusEnabled(false);
		storeButton.setEnabled(false);
		add(storeButton);

		destroyButton = new JButton(new ImageIcon("agentspace/monitor/images/delete.gif"));
		destroyButton.setToolTipText("Terminate the selected agent");
		destroyButton.setActionCommand("Destroy");
		destroyButton.addActionListener(control);
		destroyButton.setRequestFocusEnabled(false);
		destroyButton.setEnabled(false);
		add(destroyButton);

		copyButton = new JButton(new ImageIcon(	"agentspace/monitor/images/copy.gif"));
		copyButton.setToolTipText("Copy the selected agent");
		copyButton.setActionCommand("Copy");
		copyButton.addActionListener(control);
		copyButton.setRequestFocusEnabled(false);
		copyButton.setEnabled(false);
		add(copyButton);

		moveButton = new JButton(new ImageIcon(	"agentspace/monitor/images/export.gif"));
		moveButton.setToolTipText("Move the selected agent");
		moveButton.setActionCommand("Move");
		moveButton.addActionListener(control);
		moveButton.setRequestFocusEnabled(false);
		moveButton.setEnabled(false);
		add(moveButton);
		
		addSeparator();
		infoButton = new JButton(new ImageIcon(	"agentspace/monitor/images/infomation.gif"));
		infoButton.setToolTipText("Show information about the selected agent");
		infoButton.setActionCommand("Information");
		infoButton.addActionListener(control);
		infoButton.setRequestFocusEnabled(false);
		infoButton.setEnabled(false);
		add(infoButton);
		
		addSeparator();
		haltButton = new JButton(new ImageIcon(	"agentspace/monitor/images/import.gif"));
		haltButton.setToolTipText("Halt the selected agent");
		haltButton.setActionCommand("Halt");
		haltButton.addActionListener(control);
		haltButton.setRequestFocusEnabled(false);
		haltButton.setEnabled(false);
		add(infoButton);

		setFloatable(true);
	}

	/*
	 * class OpenAction extends AbstractAction { OpenAction(String text, Icon
	 * icon) { super(text, icon); } public void actionPerformed(ActionEvent e) {
	 *  } }
	 */
}

